Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: pidgin-groupchat-typing-notifications
Version: 3
Release: alt2_10

Summary: Adds typing notifications for group chats in Pidgin
License: GPL-3.0-or-later
URL: https://github.com/EionRobb/%{name}
Source0: https://github.com/EionRobb/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(purple)
BuildRequires: pkgconfig(pidgin)
BuildRequires: gcc

Requires: pidgin

# RHEL8 has no Pidgin package on some architectures.
%if 0%{?rhel} && 0%{?rhel} == 8
ExcludeArch: aarch64 s390x
%endif
Source44: import.info

%description
Adds typing notifications for multi-user group chats in Pidgin.
Currently only tested as working with the Hangouts plugin, but
support for other protocols will come later.

%prep
%setup -q


# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build

%make_build

%install
%makeinstall_std

# Setting correct chmod...
chmod 755 %{buildroot}%{_libdir}/pidgin/grouptyping.so

%files
%{_libdir}/pidgin/grouptyping.so
%doc --no-dereference LICENSE
%doc README.md

%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3-alt2_10
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3-alt2_9
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3-alt2_8
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3-alt2_7
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3-alt2_6
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3-alt2_5
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3-alt1_5
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3-alt1_4
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 3-alt1_3
- new version

